var allTags = document.getElementsByTagName('*');
for (var i = 0; i < allTags.length; i++) {
  allTags[i].removeAttribute('style');
}

var iFrames = document.getElementsByTagName('iframe');

for (var j = 0; j < iFrames.length; j++) {
    var iframeNode = iFrames[j];
    var iframeUrl = iFrames[j].src;
    var urlLength = iframeUrl.length;

    var newA = document.createElement('a');

    if (iframeUrl.substring(0,7) === 'file://') {
    	iframeUrl = 'http://' + iframeUrl.substring(7, urlLength);
    	iFrames[j].src = iframeUrl;
    }

    // handle incorrect prefix of urls
    var prefixLength = getUrlPrefix(url);

    if (prefixLength == 4 && iframeUrl.substring(0,prefixLength) !== 'http') {
        iframeUrl = 'http' + iframeUrl.substring(prefixLength, urlLength);
        iFrames[j].src = iframeUrl;
    }

    if (prefixLength == 5 && iframeUrl.substring(0,prefixLength) !== 'https') {
        iframeUrl = 'https' + iframeUrl.substring(prefixLength, urlLength);
        iFrames[j].src = iframeUrl;
    }

    newA.setAttribute('href', iframeUrl);
    newA.setAttribute('target', '_top');
    newA.className = 'hr-iframe-link';

    var parent = iFrames[j].parentNode;
    var iframeWrapper = document.createElement('div');
    iframeWrapper.className = 'hr-iframe-wrapper';
    parent.replaceChild(iframeWrapper, iFrames[j]);
    iframeWrapper.appendChild(iframeNode);
    iframeWrapper.appendChild(newA);
}

function getUrlPrefix(url) {
    var length = 0;
    for (int i = 0; i < url.length; i++) {
        if (url.charAt(i) == ':') {
            length = i;
            break;
        }
    }
    return length;
}


	


